Skip to main content
PATCH
/
v4
/
evaluations
/
{evaluation_id}
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
evaluation = client.evaluations.update(
    evaluation_id="evaluation_id",
)
print(evaluation.id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
evaluation, err := client.Evaluations.Update(
context.TODO(),
"evaluation_id",
sgp.EvaluationUpdateParams{
Body: sgp.EvaluationUpdateParamsBodyPartialPatchEvaluationRequest{
Restore: sgp.F(sgp.EvaluationUpdateParamsBodyPartialPatchEvaluationRequestRestoreFalse),
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", evaluation.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/evaluations/{evaluation_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"application_spec_id": "<string>",
"application_variant_id": "<string>",
"tags": {},
"evaluation_config": {},
"evaluation_config_id": "<string>",
"question_id_to_annotation_config": {},
"annotation_config": {
"components": [
[
{
"data_loc": [
"<string>"
],
"optional": false,
"label": "<string>"
}
]
],
"direction": "row"
},
"evaluation_type": "<string>",
"restore": false
}
'
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
application_spec_id: '<string>',
application_variant_id: '<string>',
tags: {},
evaluation_config: {},
evaluation_config_id: '<string>',
question_id_to_annotation_config: {},
annotation_config: {
components: [[{data_loc: ['<string>'], optional: false, label: '<string>'}]],
direction: 'row'
},
evaluation_type: '<string>',
restore: false
})
};

fetch('https://api.egp.scale.com/v4/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "description": "<string>",
  "application_spec_id": "<string>",
  "total_test_case_result_count": 123,
  "completed_test_case_result_count": 123,
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "account_id": "<string>",
  "created_by_user_id": "<string>",
  "application_variant_id": "<string>",
  "tags": {},
  "evaluation_config": {},
  "evaluation_config_id": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "annotation_config": {
    "annotation_config_type": "flexible",
    "components": [
      [
        {
          "data_loc": [
            "<string>"
          ],
          "optional": false,
          "label": "<string>"
        }
      ]
    ],
    "direction": "row",
    "llm_prompt": {
      "variables": [
        {
          "name": "<string>",
          "data_loc": [
            "<string>"
          ],
          "optional": false
        }
      ],
      "template": "<string>"
    }
  },
  "question_id_to_annotation_config": {},
  "metric_config": {
    "components": [
      {
        "name": "<string>",
        "mappings": {},
        "params": {}
      }
    ]
  },
  "archived_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

evaluation_id
string
required

Body

application/json
name
string
description
string
application_spec_id
string
application_variant_id
string
tags
Tags · object
evaluation_config
Evaluation Config · object
evaluation_config_id
string

The ID of the associated evaluation config.

question_id_to_annotation_config
Question Id To Annotation Config · object

Specifies the annotation configuration to use for specific questions.

annotation_config
AnnotationConfigRequestBase · object

Annotation configuration for tasking

evaluation_type
string

If llm_benchmark is provided, the evaluation will be updated to a hybrid evaluation. No-op on existing hybrid evaluations, and not available for studio evaluations.

Allowed value: "llm_benchmark"
restore
boolean
default:false

Set to true to restore the entity from the database.

Response

Successful Response

name
string
required
description
string
required
status
enum<string>
required
Available options:
PENDING,
COMPLETED,
FAILED
application_spec_id
string
required
total_test_case_result_count
integer
required

The total number of test case results for the evaluation

completed_test_case_result_count
integer
required

The number of test case results that have been completed for the evaluation

id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
application_variant_id
string
tags
Tags · object
evaluation_config
Evaluation Config · object
evaluation_config_id
string

The ID of the associated evaluation config.

completed_at
string<date-time>

The date and time that all test case results for the evaluation were completed for the evaluation in ISO format.

annotation_config
AnnotationConfig · object

Annotation configuration for tasking

question_id_to_annotation_config
Question Id To Annotation Config · object

Specifies the annotation configuration to use for specific questions.

metric_config
MetricConfig · object

Specifies the config for the metrics to be computed.

archived_at
string<date-time>

The date and time when the entity was archived in ISO format.